@charset "UTF-8";


/** ============================================================================


	エディター用CSS


================================================================================ **/


/* 主にクラッシックエディター用スタイル */
@import url('css/classicEdit.css');


/* 主にブロックエディター用スタイル */
@import url('css/blockEdit.css');



/** ===========================================================================


	守谷商会用カスタマイズ（クラッシックエディター用）


============================================================================== **/

.classicEdit,
body#tinymce.wp-editor.content {
	font-size: 16px;
}



/* 見出しのフォントサイズ --------------------------------- */

.classicEdit h1,
body#tinymce.wp-editor.content h1 {
	margin: 40px 0 25px;
	font-size: 28px;
	line-height: 1.5;
}

.classicEdit h2,
body#tinymce.wp-editor.content h2 {
	margin: 28px 0 31px;
	font-size: 24px;
	line-height: 1.5;
}

.classicEdit h3,
body#tinymce.wp-editor.content h3 {
	margin: 44px 0 29px;
	font-size: 22px;
	line-height: 1.5;
}

.classicEdit h4,
body#tinymce.wp-editor.content h4 {
	margin: 40px 0 25px;
	font-size: 20px;
	line-height: 1.8;
}

.classicEdit h5,
body#tinymce.wp-editor.content h5 {
	margin: 40px 0 25px;
	font-size: 18px;
	line-height: 1.8;
}

.classicEdit h6,
body#tinymce.wp-editor.content h6 {
	margin: 40px 0 25px;
	font-size: 16px;
	line-height: 1.8;
}


/* 見出しにアンダーラインを引く ------------------------------- */

.classicEdit h1.underline,
body#tinymce.wp-editor.content h1.underline,
h1.wp-block-heading {
	padding-bottom: 0.5rem;
	text-decoration:none;
	border-bottom:6px solid #8cceee;
}

.classicEdit h2.underline,
body#tinymce.wp-editor.content h2.underline,
h2.wp-block-heading {
	padding-bottom: 0.5rem;
	text-decoration:none; 
	border-bottom:5px solid #8cceee; 
}

.classicEdit h3.underline,
body#tinymce.wp-editor.content h3.underline,
h3.wp-block-heading {
	padding-bottom: 0.5rem;
	text-decoration:none; 
	border-bottom:4px solid #8cceee;
}

.classicEdit h4.underline,
body#tinymce.wp-editor.content h4.underline,
h4.wp-block-heading {
	padding-bottom: 0.5rem;
	text-decoration:none; 
	border-bottom:3px solid #8cceee;
}

.classicEdit h5.underline,
body#tinymce.wp-editor.content h5.underline,
h1.wp-block-heading {
	padding-bottom: 0.5rem;
	text-decoration:none;
	border-bottom:2px solid #8cceee;
}

.classicEdit h6.underline,
body#tinymce.wp-editor.content h6.underline,
h1.wp-block-heading { text-decoration:none; border-bottom:1px solid #8cceee; }



/* テーブル ----------------------------------------------- */

.classicEdit th,
.classicEdit td {
/*	padding: 0; */
	border:0;
}

/* 編集画面では、見えるように */
body#tinymce.wp-editor.content th,
body#tinymce.wp-editor.content td {
/*	padding: 5px; */
	border:1px dotted #c0c0c0;
}


/* 横線の太さ調整 ------------------------------------------- */

.classicEdit hr.hgt2,
body#tinymce.wp-editor.content hr.hgt2 { height:  2px; }
.classicEdit hr.hgt3,
body#tinymce.wp-editor.content hr.hgt3 { height:  3px; }
.classicEdit hr.hgt4,
body#tinymce.wp-editor.content hr.hgt4 { height:  4px; }
.classicEdit hr.hgt5,
body#tinymce.wp-editor.content hr.hgt5 { height:  5px; }
.classicEdit hr.hgt6,
body#tinymce.wp-editor.content hr.hgt6 { height:  6px; }
.classicEdit hr.hgt7,
body#tinymce.wp-editor.content hr.hgt7 { height:  7px; }
.classicEdit hr.hgt8,
body#tinymce.wp-editor.content hr.hgt8 { height:  8px; }
.classicEdit hr.hgt9,
body#tinymce.wp-editor.content hr.hgt9 { height:  9px; }
.classicEdit hr.hgt10,
body#tinymce.wp-editor.content hr.hgt10 { height: 10px; }




/** ===========================================================================


	最初の要素は、marginを取る
	最後にclearFix入れる


=============================================================================== **/

.classicEdit > *:first-child,
body#tinymce.wp-editor.content > *:first-child {
	margin-top: 0;
}

.classicEdit > *:last-child,
body#tinymce.wp-editor.content > *:last-child {
	margin-bottom: 0;
}


